Bug 188891 - [PATCH] graphics/py-blockdiag: stage
Summary: [PATCH] graphics/py-blockdiag: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-22 15:00 UTC by Bartek Rutkowski
Modified: 2014-04-26 22:23 UTC (History)
1 user (show)

See Also:


Attachments
py-blockdiag-1.2.4.patch (1.83 KB, patch)
2014-04-22 15:00 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-22 15:00:01 UTC
- Stage
- Drop easy_install
- Use auto plist
- Delete pkg-plist
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-blockdiag/1.2.4/

Port maintainer (tota@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-22 15:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-26 22:17:38 UTC
Author: tota
Date: Sat Apr 26 21:17:32 2014
New Revision: 352377
URL: http://svnweb.freebsd.org/changeset/ports/352377
QAT: https://qat.redports.org/buildarchive/r352377/

Log:
  - Update to 1.3.3
    * Switch run-time dependency from PIL to Pillow
  - Remove indefinite article from COMMENT
  - Use USE_PYDISTUTILS= yes instead of USE_PYDISTUTILS= easy_install
  - Use PYDISTUTILS_AUTOPLIST
    * Remove pkg-plist, accordingly
  - Add DOCS and EXAMPLES to OPTIONS_DEFINE to fix default options
  - Support STAGEDIR
    * Make DOCS and EXAMPLES unconditional to stage
  - Unmute INSTALL_DATA and INSTALL_MAN in post-install target
  
  PR:		ports/188891 (based on)
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>

Added:
  head/graphics/py-blockdiag/files/
  head/graphics/py-blockdiag/files/patch-src-blockdiag-utils-bootstrap.py   (contents, props changed)
Deleted:
  head/graphics/py-blockdiag/pkg-plist
Modified:
  head/graphics/py-blockdiag/Makefile
  head/graphics/py-blockdiag/distinfo

Modified: head/graphics/py-blockdiag/Makefile
==============================================================================
--- head/graphics/py-blockdiag/Makefile	Sat Apr 26 21:16:13 2014	(r352376)
+++ head/graphics/py-blockdiag/Makefile	Sat Apr 26 21:17:32 2014	(r352377)
@@ -2,69 +2,61 @@
 # $FreeBSD$
 
 PORTNAME=	blockdiag
-PORTVERSION=	1.2.4
+PORTVERSION=	1.3.3
 CATEGORIES=	graphics python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	tota@FreeBSD.org
-COMMENT=	A simple block-diagram image generator
+COMMENT=	Simple block-diagram image generator
 
 LICENSE=	APACHE20
 
-RUN_DEPENDS=	${PKGNAMEPREFIX}imaging>=1.1.5:${PORTSDIR}/graphics/py-imaging \
-		${PKGNAMEPREFIX}funcparserlib>=0.3.4:${PORTSDIR}/devel/py-funcparserlib \
-		${PKGNAMEPREFIX}ordereddict>0:${PORTSDIR}/devel/py-ordereddict \
+RUN_DEPENDS=	${PKGNAMEPREFIX}pillow>=2.2.1:${PORTSDIR}/graphics/py-pillow \
+		${PKGNAMEPREFIX}funcparserlib>=0.3.6:${PORTSDIR}/devel/py-funcparserlib \
 		${PKGNAMEPREFIX}webcolors>=0:${PORTSDIR}/graphics/py-webcolors
 
 UNIQUENAME=	py-${PORTNAME}
 
-USE_PYTHON=	2
-USE_PYDISTUTILS=	easy_install
-
-MAN1=	${PORTNAME}.1
+USE_PYTHON=	yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
 DOCSDIR=	${PREFIX}/share/doc/${PKGNAMEPREFIX}${PORTNAME}
 EXAMPLESDIR=	${PREFIX}/share/examples/${PKGNAMEPREFIX}${PORTNAME}
 
-PORTDOCS=	README.txt
+PORTDOCS=	README.rst
 PORTEXAMPLES=	*
 
-OPTIONS_DEFINE=	IPAFONT PDF
+OPTIONS_DEFINE=	DOCS EXAMPLES IPAFONT PDF
 IPAFONT_DESC=	Use IPA Font as default
 PDF_DESC=	Enable PDF output
 
 OPTIONS_DEFAULT=	PDF
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+.include <bsd.port.pre.mk>
+
+.if ${PYTHON_VER} == 3.1
+IGNORE=	does not support in ${PYTHON_VERSION}
+.endif
 
 .if ${PORT_OPTIONS:MPDF}
-RUN_DEPENDS+=	${PKGNAMEPREFIX}reportlab2>0:${PORTSDIR}/print/py-reportlab2
+RUN_DEPENDS+=	${PKGNAMEPREFIX}reportlab>0:${PORTSDIR}/print/py-reportlab
 .endif
 
 .if ${PORT_OPTIONS:MIPAFONT}
 RUN_DEPENDS+=	${LOCALBASE}/share/font-ipa/ipag.otf:${PORTSDIR}/japanese/font-ipa
 .endif
 
-post-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${INSTALL_WRKSRC}/src/${PORTDOCS} ${DOCSDIR}
-.endif
-.if !defined(NOPORTEXAMPLES)
-	@${MKDIR} ${EXAMPLESDIR}
-	@${INSTALL_DATA} ${INSTALL_WRKSRC}/examples/${PORTEXAMPLES} ${EXAMPLESDIR}
-.endif
-	@${INSTALL_MAN} ${WRKSRC}/${MAN1} ${MAN1PREFIX}/man/man1/
+post-patch:
+	${REINPLACE_CMD} 's|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/src/blockdiag/utils/bootstrap.py
 
-x-generate-plist:
-	${ECHO} bin/blockdiag > pkg-plist.new
-	${FIND} ${PYTHON_SITELIBDIR}/${PYEASYINSTALL_EGG} -type f | ${SORT} | \
-	${SED} -e 's,${PYTHON_SITELIBDIR},%%PYTHON_SITELIBDIR%%,' \
-	-e 's,${PYEASYINSTALL_EGG},%%PYEASYINSTALL_EGG%%,' >> pkg-plist.new
-	${FIND} ${PYTHON_SITELIBDIR}/${PYEASYINSTALL_EGG} -type d -depth | ${SORT} -r | \
-	${SED} -e 's,${PYTHON_SITELIBDIR},@dirrm %%PYTHON_SITELIBDIR%%,' \
-	-e 's,${PYEASYINSTALL_EGG},%%PYEASYINSTALL_EGG%%,' >> pkg-plist.new
+post-install:
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${INSTALL_WRKSRC}/${PORTDOCS} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${INSTALL_WRKSRC}/examples/${PORTEXAMPLES} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.1 ${STAGEDIR}${PREFIX}/man/man1/
+	@${ECHO_CMD} man/man1/${PORTNAME}.1.gz >> ${TMPPLIST}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/graphics/py-blockdiag/distinfo
==============================================================================
--- head/graphics/py-blockdiag/distinfo	Sat Apr 26 21:16:13 2014	(r352376)
+++ head/graphics/py-blockdiag/distinfo	Sat Apr 26 21:17:32 2014	(r352377)
@@ -1,2 +1,2 @@
-SHA256 (blockdiag-1.2.4.tar.gz) = 5c153f879762066196d2ebfbba0efcdfb30abf8132299ddd81c6dc6bc4eaf5d9
-SIZE (blockdiag-1.2.4.tar.gz) = 136854
+SHA256 (blockdiag-1.3.3.tar.gz) = 20b15a92fc393a415d31fe3a4d08a252f6ce6935b38112915bcef60dff2c81e7
+SIZE (blockdiag-1.3.3.tar.gz) = 137004

Added: head/graphics/py-blockdiag/files/patch-src-blockdiag-utils-bootstrap.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/py-blockdiag/files/patch-src-blockdiag-utils-bootstrap.py	Sat Apr 26 21:17:32 2014	(r352377)
@@ -0,0 +1,15 @@
+--- src/blockdiag/utils/bootstrap.py.orig	2013-09-30 22:19:06.000000000 +0900
++++ src/blockdiag/utils/bootstrap.py	2014-01-02 16:19:04.000000000 +0900
+@@ -222,11 +222,7 @@
+ def detectfont(options):
+     import glob
+     fontdirs = [
+-        '/usr/share/fonts',
+-        '/Library/Fonts',
+-        '/System/Library/Fonts',
+-        'c:/windows/fonts',
+-        '/usr/local/share/font-*',
++        '%%LOCALBASE%%/share/font-*',
+     ]
+     fontfiles = [
+         'ipagp.ttf',
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 TAKATSU Tomonari freebsd_committer 2014-04-26 22:22:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!